<div class="ui centered header">Toutes les équipes</div>
<br>
<div class="ui success message" *ngIf="deleted">
    Cette équipe à été supprimée !
</div>

<div class="ui error message" *ngIf="error">
    Un erreur est survenue, impossible de récupérer les personnels !
</div>

<div class="ui form">
    <div class="field">
        <label>Rechercher des équipes par nom du poste</label>
        <div class="ui fluid search selection dropdown" id="equipePosteView">
            <input type="hidden">
            <div class="default text">Nom du poste</div>
            <div class="menu"></div>
        </div>
    </div>
</div>

<div class="ui vertical segment" id="view-table">
    <table class="ui selectable striped table">
        <thead>
        <tr>
            <th>Nom équipe</th>
            <th>Chef d'équipe</th>
            <th>Binome</th>
            <th>Identifiant radio</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngIf="!(equipes?.length && equipes.length)">
            <td class="ui header center aligned" colspan="6">
                Pas d'équipes enregistrés encore !
            </td>
        </tr>
        <ng-container *ngFor="let equipe of this.equipes">
            <tr>

                <td>
                    {{ equipe.nom }}
                </td>
                <td>
                    {{ equipe.chefEquipe.nom.toUpperCase() }} {{ equipe.chefEquipe.prenom }}
                    "{{ equipe.chefEquipe.username }}"
                </td>
                <td>
                    <i class="close red icon" *ngIf="!equipe.binomeEquipe"></i>
                    <i class="check green icon" *ngIf="equipe.binomeEquipe"></i>
                </td>
                <td>
                    {{ equipe.identifiantRadioEquipe }}
                </td>
                <td>
                    <div class="ui tiny green button" [routerLink]="'/admin/equipe/edit/' + posteId + '/' + equipe.id">
                        <i class="edit icon"></i>
                    </div>
                </td>

            </tr>
        </ng-container>
        </tbody>
    </table>
</div>
